import { Borsh, Transaction } from '@leda-mint-io/lpl-core';
import { PublicKey, TransactionCtorFields } from '@safecoin/web3.js';
export declare class ApproveCollectionAuthorityArgs extends Borsh.Data {
    static readonly SCHEMA: any;
    instruction: number;
}
declare type ApproveCollectionAuthorityParams = {
    collectionAuthorityRecord: PublicKey;
    newCollectionAuthority: PublicKey;
    updateAuthority: PublicKey;
    metadata: PublicKey;
    mint: PublicKey;
};
export declare class ApproveCollectionAuthority extends Transaction {
    constructor(options: TransactionCtorFields, params: ApproveCollectionAuthorityParams);
}
export {};
