import { Borsh, Transaction } from '@leda-mint-io/lpl-core';
import { PublicKey, TransactionCtorFields } from '@safecoin/web3.js';
import { MetadataDataData } from '../accounts/Metadata';
export declare class CreateMetadataArgs extends Borsh.Data<{
    data: MetadataDataData;
    isMutable: boolean;
}> {
    static readonly SCHEMA: any;
    instruction: number;
    data: MetadataDataData;
    isMutable: boolean;
}
declare type CreateMetadataParams = {
    metadata: PublicKey;
    metadataData: MetadataDataData;
    updateAuthority: PublicKey;
    mint: PublicKey;
    mintAuthority: PublicKey;
};
export declare class CreateMetadata extends Transaction {
    constructor(options: TransactionCtorFields, params: CreateMetadataParams);
}
export {};
