import { Borsh, Transaction } from '@leda-mint-io/lpl-core';
import { PublicKey, TransactionCtorFields } from '@safecoin/web3.js';
export declare class RemoveCreatorVerificationArgs extends Borsh.Data {
    static readonly SCHEMA: any;
    instruction: number;
}
declare type RemoveCreatorVerificationParams = {
    metadata: PublicKey;
    creator: PublicKey;
};
export declare class RemoveCreatorVerification extends Transaction {
    constructor(options: TransactionCtorFields, params: RemoveCreatorVerificationParams);
}
export {};
