import { Borsh, Transaction } from '@leda-mint-io/lpl-core';
import { PublicKey, TransactionCtorFields } from '@safecoin/web3.js';
export declare class SignMetadataArgs extends Borsh.Data {
    static readonly SCHEMA: any;
    instruction: number;
}
declare type SignMetadataParams = {
    metadata: PublicKey;
    creator: PublicKey;
};
export declare class SignMetadata extends Transaction {
    constructor(options: TransactionCtorFields, params: SignMetadataParams);
}
export {};
