import { Borsh, Transaction } from '@leda-mint-io/lpl-core';
import { PublicKey, TransactionCtorFields } from '@safecoin/web3.js';
export declare class UpdatePrimarySaleHappenedViaTokenArgs extends Borsh.Data {
    static readonly SCHEMA: any;
    instruction: number;
}
declare type UpdatePrimarySaleHappenedViaTokenParams = {
    metadata: PublicKey;
    owner: PublicKey;
    tokenAccount: PublicKey;
};
export declare class UpdatePrimarySaleHappenedViaToken extends Transaction {
    constructor(options: TransactionCtorFields, params: UpdatePrimarySaleHappenedViaTokenParams);
}
export {};
